/*
 *      Header file for encthread.c
 *
 *	Copyright (c) 2002 John Edwards
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __ENCTHREAD_H__
#define __ENCTHREAD_H__

void encthread_init(void);
void encthread_addfile(char *file);
void encthread_setset_bitrate(int v);
void encthread_setmono(int v);
void encthread_setquality(int v);
void encthread_setmethod(int v);
void encthread_setvbr_quality(int v);
void encthread_setset_cbr(int v);
void encthread_setabrbitrate(int v);
void encthread_setcbrbitrate(int v);
void encthread_settag_mode(int tag_mode);
void encthread_setcopy_tags(int copy_tags);
void encthread_setscale_mode(int scale_mode);
void encthread_setAUTOtagging(int tagging);
void encthread_setdelInput(int delInput);
void encthread_set_title(char title[64]);
void encthread_set_artist(char artist[64]);
void encthread_set_album(char album[64]);
void encthread_set_dates(char dates[16]);
void encthread_set_genre(char genre[32]);
void encthread_setid3(int id3tag);
#endif
